package com.realnet.basic.Services;
import com.realnet.basic.Repository.Founders_friendRepository;
import com.realnet.basic.Entity.Founders_friend
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;










	import org.springframework.stereotype.Service;

@Service
 public class Founders_friendService {
@Autowired
private Founders_friendRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;









public Founders_friend Savedata(Founders_friend data) {










	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Founders_friend save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Founders_friend> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Founders_friend> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Founders_friend> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Founders_friend getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Founders_friend update(Founders_friend data,Integer id) {
	Founders_friend old = Repository.findById(id).get();
old.setName(data.getName());

old.setJournal(data.getJournal());

old.setTasks(data.getTasks());

old.setNotes(data.getNotes());

old.setExpenses(data.getExpenses());

final Founders_friend test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 










 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
